
QGIS Application - Bug report #20703

qgis 3.4.2 crashes on Windows 8.1

2018-12-03 01:42 PM - Giuliano Urgeghe

Status: Open

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.4.2 Regression?: No

Operating System: windows 8.1 pro Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28523

Description

User Feedback

I have crash when I choose the project to load!!!

Report Details

Crash ID: 4db78da3a5772c90b16c535c8d0048190649cfee

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

CoGetTreatAsClass :

CleanupTlsOleState :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CleanupTlsOleState :

CleanupTlsOleState :

CleanupTlsOleState :

StringFromGUID2 :

StringFromGUID2 :

SHBindToParent :

Ordinal866 :

AssocCreateForClasses :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

SHCreateQueryCancelAutoPlayMoniker :

SHAssocEnumHandlers :

Ordinal211 :

SHCreateDefaultExtractIcon :

SHGetItemFromObject :

SHEvaluateSystemCommandTemplate :

SHEvaluateSystemCommandTemplate :

ILFree :

DllCanUnloadNow :

RtlGetNtProductType :

RtlFreeUnicodeString :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

History

#1 - 2018-12-05 05:33 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try with a new/clean profile.

#2 - 2018-12-05 06:08 PM - Giuliano Urgeghe

- Assignee set to Giovanni Manghi

I have the same problem after reset directory for profile and new launch QGIS 3.4.2

#3 - 2018-12-06 09:37 AM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

Giuliano Urgeghe wrote:

I have the same problem after reset directory for profile and new launch QGIS 3.4.2

Does it happens also on empty projects?

#4 - 2018-12-06 10:58 AM - Giuliano Urgeghe

The crash appens when I click on openfile buttom.

The same error appens in other pc with same SO (windows 8.1 pro).

#5 - 2018-12-06 11:11 AM - Giovanni Manghi

Any chance to try a modern OS?

#6 - 2018-12-06 11:26 AM - Giuliano Urgeghe
Yes it's possible, with a lot of work for just one of the many installed applications in this pc.

In other pc with win10 no problem until now.

#7 - 2018-12-06 11:28 AM - Giovanni Manghi

- Subject changed from qgis 3.4.2 crashed to qgis 3.4.2 crashes on Windows 8.1

- Status changed from Feedback to Open

Giuliano Urgeghe wrote:

Yes it's possible, with a lot of work for just one of the many installed applications in this pc.

In other pc with win10 no problem until now.

#8 - 2018-12-09 06:56 PM - Giuliano Urgeghe

I have the same crash in other pc with windows 7 sp1

this is the warning in "messaggi di log" "avviso python"

warning:C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\status_codes.py:18: DeprecationWarning: invalid escape sequence \o

              """ 

traceback: File "", line 1, in 

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 299, in loadPlugin

              import(packageName)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\_init__.py", line 29, in 

              from processing.tools.general import * # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\tools\general.py", line 39, in 

              from processing.core.Processing import Processing

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\core\Processing.py", line 58, in 
              from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 36, in 

              import plotly # NOQA

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\_init__.py", line 31, in 

              from plotly import (plotly, dashboard_objs, graph_objs, grid_objs, tools,

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 1035, in _handle_fromlist

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\_init__.py", line 10, in 

              from . plotly import (

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\plotly\plotly\plotly.py", line 28, in 

              from requests.compat import json as _json

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 953, in _find_and_load_unlocked

              File "", line 219, in _call_with_frames_removed

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\_init__.py", line 114, in 

              from .models import Request, Response, PreparedRequest

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)
              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 728, in exec_module

              File "", line 219, in _call_with_frames_removed

              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\requests\models.py", line 43, in 

              from .status_codes import codes

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python\qgis\utils.py", line 672, in _import

              mod = _builtin_import(name, globals, locals, fromlist, level)

              File "", line 983, in _find_and_load

              File "", line 967, in _find_and_load_unlocked

              File "", line 677, in _load_unlocked

              File "", line 724, in exec_module

              File "", line 860, in get_code

              File "", line 791, in source_to_code

              File "", line 219, in _call_with_frames_removed
